
import { baseUrl } from "../../../../request";Component({

  /**
   * 组件的属性列表
   */
  properties: {
    show: {
      type: Boolean,
      value: false,
    },
  },

  /**
   * 组件的初始数据
   */
  data: {
    commissionRate: 0,  // 用户输入的抽佣比例
  },

  /**
   * 组件的方法列表
   */
  methods: {
    // 获取用户输入的比例
    handleInput(e) {
      this.setData({
        commissionRate: e.detail.value,
      });
    },

    // 提交设置
    submit() {
      const rate = parseFloat(this.data.commissionRate);
        if (isNaN(rate) || rate < 0 || rate > 10) {
          wx.showToast({
            title: `请输入有效的比例，最大为 10%`,
            icon: 'none',
          });
          return;
        }
        wx.showLoading({
          title: '加载中',
          mask: true
        })

        // 一键设置抽佣
        wx.request({
          url: baseUrl + '/projectCommission/update/unite/rate',
          method: 'POST',
          header: {
            Authorization: wx.getStorageSync('token'),
          },
          data: {
            uniteCommissionRate: rate
          },
          success: res => {
            console.log('一键设置下级抽成比例结果---->',res.data);
            if (res.data.code === 1) {
              wx.hideLoading()
              wx.showToast({
                title: '设置成功',
                icon: 'success',
                duration: 1500
              })
              // 触发父组件的事件，将设置的比例传递出去
              this.triggerEvent('submit', {});
              // 关闭弹窗
              this.triggerEvent('close');
            } else {
              wx.showToast({
                title: '服务错误',
                icon: 'error'
              })
            }
          }
        })
      },

      // 关闭弹窗
      close() {
        this.triggerEvent('close');
      }
   }
})